Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class EventPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EModelElementImpl
                      org.eclipse.emf.ecore.impl.ENamedElementImpl
                          org.eclipse.emf.ecore.impl.EPackageImpl
                              org.eclipse.hyades.logging.events.cbe.impl.EventPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, EventPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier

public class EventPackageImpl
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements EventPackage

An implementation of the model Package.

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.hyades.logging.events.cbe.EventPackage
`ASSOCIATED_EVENT, ASSOCIATED_EVENT__ASSOCIATION_ENGINE, ASSOCIATED_EVENT__ASSOCIATION_ENGINE_INFO, ASSOCIATED_EVENT__RESOLVED_EVENTS, ASSOCIATED_EVENT_FEATURE_COUNT, ASSOCIATION_ENGINE, ASSOCIATION_ENGINE__ID, ASSOCIATION_ENGINE__NAME, ASSOCIATION_ENGINE__TYPE, ASSOCIATION_ENGINE_FEATURE_COUNT, AVAILABLE_SITUATION, AVAILABLE_SITUATION__AVAILABILITY_DISPOSITION, AVAILABLE_SITUATION__OPERATION_DISPOSITION, AVAILABLE_SITUATION__PROCESSING_DISPOSITION, AVAILABLE_SITUATION__REASONING_SCOPE, AVAILABLE_SITUATION_FEATURE_COUNT, COMMON_BASE_EVENT, COMMON_BASE_EVENT__ANY, COMMON_BASE_EVENT__ASSOCIATED_EVENTS, COMMON_BASE_EVENT__CONTEXT_DATA_ELEMENTS, COMMON_BASE_EVENT__CREATION_TIME, COMMON_BASE_EVENT__ELAPSED_TIME, COMMON_BASE_EVENT__EXTENDED_DATA_ELEMENTS, COMMON_BASE_EVENT__EXTENSION_NAME, COMMON_BASE_EVENT__GLOBAL_INSTANCE_ID, COMMON_BASE_EVENT__LOCAL_INSTANCE_ID, COMMON_BASE_EVENT__MSG, COMMON_BASE_EVENT__MSG_DATA_ELEMENT, COMMON_BASE_EVENT__PRIORITY, COMMON_BASE_EVENT__REPEAT_COUNT, COMMON_BASE_EVENT__REPORTER_COMPONENT_ID, COMMON_BASE_EVENT__SEQUENCE_NUMBER, COMMON_BASE_EVENT__SEVERITY, COMMON_BASE_EVENT__SITUATION, COMMON_BASE_EVENT__SOURCE_COMPONENT_ID, COMMON_BASE_EVENT__VERSION, COMMON_BASE_EVENT_FEATURE_COUNT, COMPONENT_IDENTIFICATION, COMPONENT_IDENTIFICATION__APPLICATION, COMPONENT_IDENTIFICATION__COMPONENT, COMPONENT_IDENTIFICATION__COMPONENT_ID_TYPE, COMPONENT_IDENTIFICATION__COMPONENT_TYPE, COMPONENT_IDENTIFICATION__EXECUTION_ENVIRONMENT, COMPONENT_IDENTIFICATION__INSTANCE_ID, COMPONENT_IDENTIFICATION__LOCATION, COMPONENT_IDENTIFICATION__LOCATION_TYPE, COMPONENT_IDENTIFICATION__PROCESS_ID, COMPONENT_IDENTIFICATION__SUB_COMPONENT, COMPONENT_IDENTIFICATION__THREAD_ID, COMPONENT_IDENTIFICATION_FEATURE_COUNT, CONFIGURE_SITUATION, CONFIGURE_SITUATION__REASONING_SCOPE, CONFIGURE_SITUATION__SUCCESS_DISPOSITION, CONFIGURE_SITUATION_FEATURE_COUNT, CONNECT_SITUATION, CONNECT_SITUATION__REASONING_SCOPE, CONNECT_SITUATION__SITUATION_DISPOSITION, CONNECT_SITUATION__SUCCESS_DISPOSITION, CONNECT_SITUATION_FEATURE_COUNT, CONTEXT_DATA_ELEMENT, CONTEXT_DATA_ELEMENT__CONTEXT_ID, CONTEXT_DATA_ELEMENT__CONTEXT_VALUE, CONTEXT_DATA_ELEMENT__NAME, CONTEXT_DATA_ELEMENT__TYPE, CONTEXT_DATA_ELEMENT_FEATURE_COUNT, CREATE_SITUATION, CREATE_SITUATION__REASONING_SCOPE, CREATE_SITUATION__SUCCESS_DISPOSITION, CREATE_SITUATION_FEATURE_COUNT, DEPENDENCY_SITUATION, DEPENDENCY_SITUATION__DEPENDENCY_DISPOSITION, DEPENDENCY_SITUATION__REASONING_SCOPE, DEPENDENCY_SITUATION_FEATURE_COUNT, DESTROY_SITUATION, DESTROY_SITUATION__REASONING_SCOPE, DESTROY_SITUATION__SUCCESS_DISPOSITION, DESTROY_SITUATION_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXTENDED_DATA_ELEMENT, EXTENDED_DATA_ELEMENT__CHILDREN, EXTENDED_DATA_ELEMENT__HEX_VALUE, EXTENDED_DATA_ELEMENT__NAME, EXTENDED_DATA_ELEMENT__TYPE, EXTENDED_DATA_ELEMENT__VALUES, EXTENDED_DATA_ELEMENT_FEATURE_COUNT, FEATURE_SITUATION, FEATURE_SITUATION__FEATURE_DISPOSITION, FEATURE_SITUATION__REASONING_SCOPE, FEATURE_SITUATION_FEATURE_COUNT, MSG_CATALOG_TOKEN, MSG_CATALOG_TOKEN__VALUE, MSG_CATALOG_TOKEN_FEATURE_COUNT, MSG_DATA_ELEMENT, MSG_DATA_ELEMENT__MSG_CATALOG, MSG_DATA_ELEMENT__MSG_CATALOG_ID, MSG_DATA_ELEMENT__MSG_CATALOG_TOKENS, MSG_DATA_ELEMENT__MSG_CATALOG_TYPE, MSG_DATA_ELEMENT__MSG_ID, MSG_DATA_ELEMENT__MSG_ID_TYPE, MSG_DATA_ELEMENT__MSG_LOCALE, MSG_DATA_ELEMENT_FEATURE_COUNT, OTHER_SITUATION, OTHER_SITUATION__ANY, OTHER_SITUATION__REASONING_SCOPE, OTHER_SITUATION_FEATURE_COUNT, REPORT_SITUATION, REPORT_SITUATION__REASONING_SCOPE, REPORT_SITUATION__REPORT_CATEGORY, REPORT_SITUATION_FEATURE_COUNT, REQUEST_SITUATION, REQUEST_SITUATION__REASONING_SCOPE, REQUEST_SITUATION__SITUATION_QUALIFIER, REQUEST_SITUATION__SUCCESS_DISPOSITION, REQUEST_SITUATION_FEATURE_COUNT, SERIALIZABLE, SERIALIZABLE_FEATURE_COUNT, SITUATION, SITUATION__CATEGORY_NAME, SITUATION__SITUATION_TYPE, SITUATION_FEATURE_COUNT, SITUATION_TYPE, SITUATION_TYPE__REASONING_SCOPE, SITUATION_TYPE_FEATURE_COUNT, START_SITUATION, START_SITUATION__REASONING_SCOPE, START_SITUATION__SITUATION_QUALIFIER, START_SITUATION__SUCCESS_DISPOSITION, START_SITUATION_FEATURE_COUNT, STOP_SITUATION, STOP_SITUATION__REASONING_SCOPE, STOP_SITUATION__SITUATION_QUALIFIER, STOP_SITUATION__SUCCESS_DISPOSITION, STOP_SITUATION_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getAssociatedEvent_AssociationEngine()`
`org.eclipse.emf.ecore.EReference` | `getAssociatedEvent_AssociationEngineInfo()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociatedEvent_ResolvedEvents()`
`org.eclipse.emf.ecore.EClass` | `getAssociatedEvent()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationEngine_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationEngine_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationEngine_Type()`
`org.eclipse.emf.ecore.EClass` | `getAssociationEngine()`
`org.eclipse.emf.ecore.EAttribute` | `getAvailableSituation_AvailabilityDisposition()`
`org.eclipse.emf.ecore.EAttribute` | `getAvailableSituation_OperationDisposition()`
`org.eclipse.emf.ecore.EAttribute` | `getAvailableSituation_ProcessingDisposition()`
`org.eclipse.emf.ecore.EClass` | `getAvailableSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Any()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_AssociatedEvents()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_ContextDataElements()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_CreationTime()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_ElapsedTime()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_ExtendedDataElements()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_ExtensionName()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_GlobalInstanceId()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_LocalInstanceId()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Msg()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_MsgDataElement()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Priority()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_RepeatCount()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_ReporterComponentId()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_SequenceNumber()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Severity()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_Situation()`
`org.eclipse.emf.ecore.EReference` | `getCommonBaseEvent_SourceComponentId()`
`org.eclipse.emf.ecore.EAttribute` | `getCommonBaseEvent_Version()`
`org.eclipse.emf.ecore.EClass` | `getCommonBaseEvent()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_Application()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_Component()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ComponentIdType()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ComponentType()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ExecutionEnvironment()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_InstanceId()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_Location()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_LocationType()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ProcessId()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_SubComponent()`
`org.eclipse.emf.ecore.EAttribute` | `getComponentIdentification_ThreadId()`
`org.eclipse.emf.ecore.EClass` | `getComponentIdentification()`
`org.eclipse.emf.ecore.EAttribute` | `getConfigureSituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getConfigureSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getConnectSituation_SituationDisposition()`
`org.eclipse.emf.ecore.EAttribute` | `getConnectSituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getConnectSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_ContextId()`
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_ContextValue()`
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getContextDataElement_Type()`
`org.eclipse.emf.ecore.EClass` | `getContextDataElement()`
`org.eclipse.emf.ecore.EAttribute` | `getCreateSituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getCreateSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getDependencySituation_DependencyDisposition()`
`org.eclipse.emf.ecore.EClass` | `getDependencySituation()`
`org.eclipse.emf.ecore.EAttribute` | `getDestroySituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getDestroySituation()`
`EventFactory` | `getEventFactory()`
`org.eclipse.emf.ecore.EReference` | `getExtendedDataElement_Children()`
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_HexValue()`
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_Type()`
`org.eclipse.emf.ecore.EAttribute` | `getExtendedDataElement_Values()`
`org.eclipse.emf.ecore.EClass` | `getExtendedDataElement()`
`org.eclipse.emf.ecore.EAttribute` | `getFeatureSituation_FeatureDisposition()`
`org.eclipse.emf.ecore.EClass` | `getFeatureSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgCatalogToken_Value()`
`org.eclipse.emf.ecore.EClass` | `getMsgCatalogToken()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgCatalog()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgCatalogId()`
`org.eclipse.emf.ecore.EReference` | `getMsgDataElement_MsgCatalogTokens()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgCatalogType()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgId()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgIdType()`
`org.eclipse.emf.ecore.EAttribute` | `getMsgDataElement_MsgLocale()`
`org.eclipse.emf.ecore.EClass` | `getMsgDataElement()`
`org.eclipse.emf.ecore.EAttribute` | `getOtherSituation_Any()`
`org.eclipse.emf.ecore.EClass` | `getOtherSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getReportSituation_ReportCategory()`
`org.eclipse.emf.ecore.EClass` | `getReportSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getRequestSituation_SituationQualifier()`
`org.eclipse.emf.ecore.EAttribute` | `getRequestSituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getRequestSituation()`
`org.eclipse.emf.ecore.EClass` | `getSerializable()`
`org.eclipse.emf.ecore.EAttribute` | `getSituation_CategoryName()`
`org.eclipse.emf.ecore.EReference` | `getSituation_SituationType()`
`org.eclipse.emf.ecore.EClass` | `getSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getSituationType_ReasoningScope()`
`org.eclipse.emf.ecore.EClass` | `getSituationType()`
`org.eclipse.emf.ecore.EAttribute` | `getStartSituation_SituationQualifier()`
`org.eclipse.emf.ecore.EAttribute` | `getStartSituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getStartSituation()`
`org.eclipse.emf.ecore.EAttribute` | `getStopSituation_SituationQualifier()`
`org.eclipse.emf.ecore.EAttribute` | `getStopSituation_SuccessDisposition()`
`org.eclipse.emf.ecore.EClass` | `getStopSituation()`
`static EventPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addEEnumLiteral, addEException, addEOperation, addEParameter, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEReference, createResource, eBasicRemoveFromContainer, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEDataType, initEDataType, initEEnum, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations, isFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static EventPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `EventPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAssociatedEvent

    public org.eclipse.emf.ecore.EClass getAssociatedEvent()

  Specified by:
    `getAssociatedEvent` in interface `EventPackage`
  Returns:
    the metaobject for class 'Associated Event'.
  See Also:
    `AssociatedEvent`

### getAssociatedEvent_AssociationEngine

    public org.eclipse.emf.ecore.EAttribute getAssociatedEvent_AssociationEngine()

  Specified by:
    `getAssociatedEvent_AssociationEngine` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Association Engine'.
  See Also:
    `AssociatedEvent.getAssociationEngine()`, `EventPackage.getAssociatedEvent()`

### getAssociatedEvent_ResolvedEvents

    public org.eclipse.emf.ecore.EAttribute getAssociatedEvent_ResolvedEvents()

  Specified by:
    `getAssociatedEvent_ResolvedEvents` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Resolved Events'.
  See Also:
    `AssociatedEvent.getResolvedEvents()`, `EventPackage.getAssociatedEvent()`

### getAssociatedEvent_AssociationEngineInfo

    public org.eclipse.emf.ecore.EReference getAssociatedEvent_AssociationEngineInfo()

  Specified by:
    `getAssociatedEvent_AssociationEngineInfo` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference 'Association Engine Info'.
  See Also:
    `AssociatedEvent.getAssociationEngineInfo()`, `EventPackage.getAssociatedEvent()`

### getAssociationEngine

    public org.eclipse.emf.ecore.EClass getAssociationEngine()

  Specified by:
    `getAssociationEngine` in interface `EventPackage`
  Returns:
    the metaobject for class 'Association Engine'.
  See Also:
    `AssociationEngine`

### getAssociationEngine_Id

    public org.eclipse.emf.ecore.EAttribute getAssociationEngine_Id()

  Specified by:
    `getAssociationEngine_Id` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Id'.
  See Also:
    `AssociationEngine.getId()`, `EventPackage.getAssociationEngine()`

### getAssociationEngine_Name

    public org.eclipse.emf.ecore.EAttribute getAssociationEngine_Name()

  Specified by:
    `getAssociationEngine_Name` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Name'.
  See Also:
    `AssociationEngine.getName()`, `EventPackage.getAssociationEngine()`

### getAssociationEngine_Type

    public org.eclipse.emf.ecore.EAttribute getAssociationEngine_Type()

  Specified by:
    `getAssociationEngine_Type` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Type'.
  See Also:
    `AssociationEngine.getType()`, `EventPackage.getAssociationEngine()`

### getAvailableSituation

    public org.eclipse.emf.ecore.EClass getAvailableSituation()

  Specified by:
    `getAvailableSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Available Situation'.
  See Also:
    `AvailableSituation`

### getAvailableSituation_OperationDisposition

    public org.eclipse.emf.ecore.EAttribute getAvailableSituation_OperationDisposition()

  Specified by:
    `getAvailableSituation_OperationDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Operation Disposition'.
  See Also:
    `AvailableSituation.getOperationDisposition()`, `EventPackage.getAvailableSituation()`

### getAvailableSituation_AvailabilityDisposition

    public org.eclipse.emf.ecore.EAttribute getAvailableSituation_AvailabilityDisposition()

  Specified by:
    `getAvailableSituation_AvailabilityDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Availability Disposition'.
  See Also:
    `AvailableSituation.getAvailabilityDisposition()`, `EventPackage.getAvailableSituation()`

### getAvailableSituation_ProcessingDisposition

    public org.eclipse.emf.ecore.EAttribute getAvailableSituation_ProcessingDisposition()

  Specified by:
    `getAvailableSituation_ProcessingDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Processing Disposition'.
  See Also:
    `AvailableSituation.getProcessingDisposition()`, `EventPackage.getAvailableSituation()`

### getCommonBaseEvent

    public org.eclipse.emf.ecore.EClass getCommonBaseEvent()

  Specified by:
    `getCommonBaseEvent` in interface `EventPackage`
  Returns:
    the metaobject for class 'Common Base Event'.
  See Also:
    `CommonBaseEvent`

### getCommonBaseEvent_CreationTime

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_CreationTime()

  Specified by:
    `getCommonBaseEvent_CreationTime` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Creation Time'.
  See Also:
    `CommonBaseEvent.getCreationTime()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_GlobalInstanceId

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_GlobalInstanceId()

  Specified by:
    `getCommonBaseEvent_GlobalInstanceId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Global Instance ID'.
  See Also:
    `CommonBaseEvent.getGlobalInstanceId()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_ElapsedTime

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_ElapsedTime()

  Specified by:
    `getCommonBaseEvent_ElapsedTime` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Elapsed Time'.
  See Also:
    `CommonBaseEvent.getElapsedTime()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_ExtensionName

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_ExtensionName()

  Specified by:
    `getCommonBaseEvent_ExtensionName` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Extension Name'.
  See Also:
    `CommonBaseEvent.getExtensionName()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_LocalInstanceId

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_LocalInstanceId()

  Specified by:
    `getCommonBaseEvent_LocalInstanceId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Local Instance ID'.
  See Also:
    `CommonBaseEvent.getLocalInstanceId()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_Msg

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Msg()

  Specified by:
    `getCommonBaseEvent_Msg` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg'.
  See Also:
    `CommonBaseEvent.getMsg()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_Priority

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Priority()

  Specified by:
    `getCommonBaseEvent_Priority` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Priority'.
  See Also:
    `CommonBaseEvent.getPriority()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_RepeatCount

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_RepeatCount()

  Specified by:
    `getCommonBaseEvent_RepeatCount` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Repeat Count'.
  See Also:
    `CommonBaseEvent.getRepeatCount()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_SequenceNumber

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_SequenceNumber()

  Specified by:
    `getCommonBaseEvent_SequenceNumber` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Sequence Number'.
  See Also:
    `CommonBaseEvent.getSequenceNumber()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_Severity

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Severity()

  Specified by:
    `getCommonBaseEvent_Severity` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Severity'.
  See Also:
    `CommonBaseEvent.getSeverity()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_Version

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Version()

  Specified by:
    `getCommonBaseEvent_Version` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Version'.
  See Also:
    `CommonBaseEvent.getVersion()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_Situation

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_Situation()

  Specified by:
    `getCommonBaseEvent_Situation` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference 'Situation'.
  See Also:
    `CommonBaseEvent.getSituation()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_Any

    public org.eclipse.emf.ecore.EAttribute getCommonBaseEvent_Any()

  Specified by:
    `getCommonBaseEvent_Any` in interface `EventPackage`
  Returns:
    the metaobject for the attribute list 'Any'.
  See Also:
    `CommonBaseEvent.getAny()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_AssociatedEvents

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_AssociatedEvents()

  Specified by:
    `getCommonBaseEvent_AssociatedEvents` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference list 'Associated Events'.
  See Also:
    `CommonBaseEvent.getAssociatedEvents()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_ContextDataElements

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_ContextDataElements()

  Specified by:
    `getCommonBaseEvent_ContextDataElements` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference list 'Context Data Elements'.
  See Also:
    `CommonBaseEvent.getContextDataElements()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_ExtendedDataElements

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_ExtendedDataElements()

  Specified by:
    `getCommonBaseEvent_ExtendedDataElements` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference list 'Extended Data Elements'.
  See Also:
    `CommonBaseEvent.getExtendedDataElements()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_MsgDataElement

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_MsgDataElement()

  Specified by:
    `getCommonBaseEvent_MsgDataElement` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference 'Msg Data Element'.
  See Also:
    `CommonBaseEvent.getMsgDataElement()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_ReporterComponentId

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_ReporterComponentId()

  Specified by:
    `getCommonBaseEvent_ReporterComponentId` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference 'Reporter Component ID'.
  See Also:
    `CommonBaseEvent.getReporterComponentId()`, `EventPackage.getCommonBaseEvent()`

### getCommonBaseEvent_SourceComponentId

    public org.eclipse.emf.ecore.EReference getCommonBaseEvent_SourceComponentId()

  Specified by:
    `getCommonBaseEvent_SourceComponentId` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference 'Source Component ID'.
  See Also:
    `CommonBaseEvent.getSourceComponentId()`, `EventPackage.getCommonBaseEvent()`

### getComponentIdentification

    public org.eclipse.emf.ecore.EClass getComponentIdentification()

  Specified by:
    `getComponentIdentification` in interface `EventPackage`
  Returns:
    the metaobject for class 'Component Identification'.
  See Also:
    `ComponentIdentification`

### getComponentIdentification_Application

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_Application()

  Specified by:
    `getComponentIdentification_Application` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Application'.
  See Also:
    `ComponentIdentification.getApplication()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_Component

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_Component()

  Specified by:
    `getComponentIdentification_Component` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Component'.
  See Also:
    `ComponentIdentification.getComponent()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_ComponentType

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ComponentType()

  Specified by:
    `getComponentIdentification_ComponentType` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Component Type'.
  See Also:
    `ComponentIdentification.getComponentType()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_ComponentIdType

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ComponentIdType()

  Specified by:
    `getComponentIdentification_ComponentIdType` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Component ID Type'.
  See Also:
    `ComponentIdentification.getComponentIdType()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_ExecutionEnvironment

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ExecutionEnvironment()

  Specified by:
    `getComponentIdentification_ExecutionEnvironment` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Execution Environment'.
  See Also:
    `ComponentIdentification.getExecutionEnvironment()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_InstanceId

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_InstanceId()

  Specified by:
    `getComponentIdentification_InstanceId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Instance ID'.
  See Also:
    `ComponentIdentification.getInstanceId()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_Location

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_Location()

  Specified by:
    `getComponentIdentification_Location` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Location'.
  See Also:
    `ComponentIdentification.getLocation()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_LocationType

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_LocationType()

  Specified by:
    `getComponentIdentification_LocationType` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Location Type'.
  See Also:
    `ComponentIdentification.getLocationType()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_ProcessId

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ProcessId()

  Specified by:
    `getComponentIdentification_ProcessId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Process ID'.
  See Also:
    `ComponentIdentification.getProcessId()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_SubComponent

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_SubComponent()

  Specified by:
    `getComponentIdentification_SubComponent` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Sub Component'.
  See Also:
    `ComponentIdentification.getSubComponent()`, `EventPackage.getComponentIdentification()`

### getComponentIdentification_ThreadId

    public org.eclipse.emf.ecore.EAttribute getComponentIdentification_ThreadId()

  Specified by:
    `getComponentIdentification_ThreadId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Thread ID'.
  See Also:
    `ComponentIdentification.getThreadId()`, `EventPackage.getComponentIdentification()`

### getConfigureSituation

    public org.eclipse.emf.ecore.EClass getConfigureSituation()

  Specified by:
    `getConfigureSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Configure Situation'.
  See Also:
    `ConfigureSituation`

### getConfigureSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getConfigureSituation_SuccessDisposition()

  Specified by:
    `getConfigureSituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `ConfigureSituation.getSuccessDisposition()`, `EventPackage.getConfigureSituation()`

### getConnectSituation

    public org.eclipse.emf.ecore.EClass getConnectSituation()

  Specified by:
    `getConnectSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Connect Situation'.
  See Also:
    `ConnectSituation`

### getConnectSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getConnectSituation_SuccessDisposition()

  Specified by:
    `getConnectSituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `ConnectSituation.getSuccessDisposition()`, `EventPackage.getConnectSituation()`

### getConnectSituation_SituationDisposition

    public org.eclipse.emf.ecore.EAttribute getConnectSituation_SituationDisposition()

  Specified by:
    `getConnectSituation_SituationDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Situation Disposition'.
  See Also:
    `ConnectSituation.getSituationDisposition()`, `EventPackage.getConnectSituation()`

### getContextDataElement

    public org.eclipse.emf.ecore.EClass getContextDataElement()

  Specified by:
    `getContextDataElement` in interface `EventPackage`
  Returns:
    the metaobject for class 'Context Data Element'.
  See Also:
    `ContextDataElement`

### getContextDataElement_ContextId

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_ContextId()

  Specified by:
    `getContextDataElement_ContextId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Context ID'.
  See Also:
    `ContextDataElement.getContextId()`, `EventPackage.getContextDataElement()`

### getContextDataElement_ContextValue

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_ContextValue()

  Specified by:
    `getContextDataElement_ContextValue` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Context Value'.
  See Also:
    `ContextDataElement.getContextValue()`, `EventPackage.getContextDataElement()`

### getContextDataElement_Name

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_Name()

  Specified by:
    `getContextDataElement_Name` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Name'.
  See Also:
    `ContextDataElement.getName()`, `EventPackage.getContextDataElement()`

### getContextDataElement_Type

    public org.eclipse.emf.ecore.EAttribute getContextDataElement_Type()

  Specified by:
    `getContextDataElement_Type` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Type'.
  See Also:
    `ContextDataElement.getType()`, `EventPackage.getContextDataElement()`

### getCreateSituation

    public org.eclipse.emf.ecore.EClass getCreateSituation()

  Specified by:
    `getCreateSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Create Situation'.
  See Also:
    `CreateSituation`

### getCreateSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getCreateSituation_SuccessDisposition()

  Specified by:
    `getCreateSituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `CreateSituation.getSuccessDisposition()`, `EventPackage.getCreateSituation()`

### getDependencySituation

    public org.eclipse.emf.ecore.EClass getDependencySituation()

  Specified by:
    `getDependencySituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Dependency Situation'.
  See Also:
    `DependencySituation`

### getDependencySituation_DependencyDisposition

    public org.eclipse.emf.ecore.EAttribute getDependencySituation_DependencyDisposition()

  Specified by:
    `getDependencySituation_DependencyDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Dependency Disposition'.
  See Also:
    `DependencySituation.getDependencyDisposition()`, `EventPackage.getDependencySituation()`

### getDestroySituation

    public org.eclipse.emf.ecore.EClass getDestroySituation()

  Specified by:
    `getDestroySituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Destroy Situation'.
  See Also:
    `DestroySituation`

### getDestroySituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getDestroySituation_SuccessDisposition()

  Specified by:
    `getDestroySituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `DestroySituation.getSuccessDisposition()`, `EventPackage.getDestroySituation()`

### getExtendedDataElement

    public org.eclipse.emf.ecore.EClass getExtendedDataElement()

  Specified by:
    `getExtendedDataElement` in interface `EventPackage`
  Returns:
    the metaobject for class 'Extended Data Element'.
  See Also:
    `ExtendedDataElement`

### getExtendedDataElement_HexValue

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_HexValue()

  Specified by:
    `getExtendedDataElement_HexValue` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Hex Value'.
  See Also:
    `ExtendedDataElement.getHexValue()`, `EventPackage.getExtendedDataElement()`

### getExtendedDataElement_Name

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_Name()

  Specified by:
    `getExtendedDataElement_Name` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Name'.
  See Also:
    `ExtendedDataElement.getName()`, `EventPackage.getExtendedDataElement()`

### getExtendedDataElement_Type

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_Type()

  Specified by:
    `getExtendedDataElement_Type` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Type'.
  See Also:
    `ExtendedDataElement.getType()`, `EventPackage.getExtendedDataElement()`

### getExtendedDataElement_Values

    public org.eclipse.emf.ecore.EAttribute getExtendedDataElement_Values()

  Specified by:
    `getExtendedDataElement_Values` in interface `EventPackage`
  Returns:
    the metaobject for the attribute list 'Values'.
  See Also:
    `ExtendedDataElement.getValues()`, `EventPackage.getExtendedDataElement()`

### getExtendedDataElement_Children

    public org.eclipse.emf.ecore.EReference getExtendedDataElement_Children()

  Specified by:
    `getExtendedDataElement_Children` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference list 'Children'.
  See Also:
    `ExtendedDataElement.getChildren()`, `EventPackage.getExtendedDataElement()`

### getFeatureSituation

    public org.eclipse.emf.ecore.EClass getFeatureSituation()

  Specified by:
    `getFeatureSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Feature Situation'.
  See Also:
    `FeatureSituation`

### getFeatureSituation_FeatureDisposition

    public org.eclipse.emf.ecore.EAttribute getFeatureSituation_FeatureDisposition()

  Specified by:
    `getFeatureSituation_FeatureDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Feature Disposition'.
  See Also:
    `FeatureSituation.getFeatureDisposition()`, `EventPackage.getFeatureSituation()`

### getMsgCatalogToken

    public org.eclipse.emf.ecore.EClass getMsgCatalogToken()

  Specified by:
    `getMsgCatalogToken` in interface `EventPackage`
  Returns:
    the metaobject for class 'Msg Catalog Token'.
  See Also:
    `MsgCatalogToken`

### getMsgCatalogToken_Value

    public org.eclipse.emf.ecore.EAttribute getMsgCatalogToken_Value()

  Specified by:
    `getMsgCatalogToken_Value` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Value'.
  See Also:
    `MsgCatalogToken.getValue()`, `EventPackage.getMsgCatalogToken()`

### getMsgDataElement

    public org.eclipse.emf.ecore.EClass getMsgDataElement()

  Specified by:
    `getMsgDataElement` in interface `EventPackage`
  Returns:
    the metaobject for class 'Msg Data Element'.
  See Also:
    `MsgDataElement`

### getMsgDataElement_MsgIdType

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgIdType()

  Specified by:
    `getMsgDataElement_MsgIdType` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg ID Type'.
  See Also:
    `MsgDataElement.getMsgIdType()`, `EventPackage.getMsgDataElement()`

### getMsgDataElement_MsgCatalogType

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgCatalogType()

  Specified by:
    `getMsgDataElement_MsgCatalogType` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg Catalog Type'.
  See Also:
    `MsgDataElement.getMsgCatalogType()`, `EventPackage.getMsgDataElement()`

### getMsgDataElement_MsgCatalog

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgCatalog()

  Specified by:
    `getMsgDataElement_MsgCatalog` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg Catalog'.
  See Also:
    `MsgDataElement.getMsgCatalog()`, `EventPackage.getMsgDataElement()`

### getMsgDataElement_MsgCatalogId

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgCatalogId()

  Specified by:
    `getMsgDataElement_MsgCatalogId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg Catalog ID'.
  See Also:
    `MsgDataElement.getMsgCatalogId()`, `EventPackage.getMsgDataElement()`

### getMsgDataElement_MsgId

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgId()

  Specified by:
    `getMsgDataElement_MsgId` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg ID'.
  See Also:
    `MsgDataElement.getMsgId()`, `EventPackage.getMsgDataElement()`

### getMsgDataElement_MsgLocale

    public org.eclipse.emf.ecore.EAttribute getMsgDataElement_MsgLocale()

  Specified by:
    `getMsgDataElement_MsgLocale` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Msg Locale'.
  See Also:
    `MsgDataElement.getMsgLocale()`, `EventPackage.getMsgDataElement()`

### getMsgDataElement_MsgCatalogTokens

    public org.eclipse.emf.ecore.EReference getMsgDataElement_MsgCatalogTokens()

  Specified by:
    `getMsgDataElement_MsgCatalogTokens` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference list 'Msg Catalog Tokens'.
  See Also:
    `MsgDataElement.getMsgCatalogTokens()`, `EventPackage.getMsgDataElement()`

### getOtherSituation

    public org.eclipse.emf.ecore.EClass getOtherSituation()

  Specified by:
    `getOtherSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Other Situation'.
  See Also:
    `OtherSituation`

### getOtherSituation_Any

    public org.eclipse.emf.ecore.EAttribute getOtherSituation_Any()

  Specified by:
    `getOtherSituation_Any` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Any'.
  See Also:
    `OtherSituation.getAny()`, `EventPackage.getOtherSituation()`

### getReportSituation

    public org.eclipse.emf.ecore.EClass getReportSituation()

  Specified by:
    `getReportSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Report Situation'.
  See Also:
    `ReportSituation`

### getReportSituation_ReportCategory

    public org.eclipse.emf.ecore.EAttribute getReportSituation_ReportCategory()

  Specified by:
    `getReportSituation_ReportCategory` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Report Category'.
  See Also:
    `ReportSituation.getReportCategory()`, `EventPackage.getReportSituation()`

### getRequestSituation

    public org.eclipse.emf.ecore.EClass getRequestSituation()

  Specified by:
    `getRequestSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Request Situation'.
  See Also:
    `RequestSituation`

### getRequestSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getRequestSituation_SuccessDisposition()

  Specified by:
    `getRequestSituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `RequestSituation.getSuccessDisposition()`, `EventPackage.getRequestSituation()`

### getRequestSituation_SituationQualifier

    public org.eclipse.emf.ecore.EAttribute getRequestSituation_SituationQualifier()

  Specified by:
    `getRequestSituation_SituationQualifier` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Situation Qualifier'.
  See Also:
    `RequestSituation.getSituationQualifier()`, `EventPackage.getRequestSituation()`

### getSituation

    public org.eclipse.emf.ecore.EClass getSituation()

  Specified by:
    `getSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Situation'.
  See Also:
    `Situation`

### getSituation_CategoryName

    public org.eclipse.emf.ecore.EAttribute getSituation_CategoryName()

  Specified by:
    `getSituation_CategoryName` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Category Name'.
  See Also:
    `Situation.getCategoryName()`, `EventPackage.getSituation()`

### getSituation_SituationType

    public org.eclipse.emf.ecore.EReference getSituation_SituationType()

  Specified by:
    `getSituation_SituationType` in interface `EventPackage`
  Returns:
    the metaobject for the containment reference 'Situation Type'.
  See Also:
    `Situation.getSituationType()`, `EventPackage.getSituation()`

### getSituationType

    public org.eclipse.emf.ecore.EClass getSituationType()

  Specified by:
    `getSituationType` in interface `EventPackage`
  Returns:
    the metaobject for class 'Situation Type'.
  See Also:
    `SituationType`

### getSituationType_ReasoningScope

    public org.eclipse.emf.ecore.EAttribute getSituationType_ReasoningScope()

  Specified by:
    `getSituationType_ReasoningScope` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Reasoning Scope'.
  See Also:
    `SituationType.getReasoningScope()`, `EventPackage.getSituationType()`

### getStartSituation

    public org.eclipse.emf.ecore.EClass getStartSituation()

  Specified by:
    `getStartSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Start Situation'.
  See Also:
    `StartSituation`

### getStartSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getStartSituation_SuccessDisposition()

  Specified by:
    `getStartSituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `StartSituation.getSuccessDisposition()`, `EventPackage.getStartSituation()`

### getStartSituation_SituationQualifier

    public org.eclipse.emf.ecore.EAttribute getStartSituation_SituationQualifier()

  Specified by:
    `getStartSituation_SituationQualifier` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Situation Qualifier'.
  See Also:
    `StartSituation.getSituationQualifier()`, `EventPackage.getStartSituation()`

### getStopSituation

    public org.eclipse.emf.ecore.EClass getStopSituation()

  Specified by:
    `getStopSituation` in interface `EventPackage`
  Returns:
    the metaobject for class 'Stop Situation'.
  See Also:
    `StopSituation`

### getStopSituation_SuccessDisposition

    public org.eclipse.emf.ecore.EAttribute getStopSituation_SuccessDisposition()

  Specified by:
    `getStopSituation_SuccessDisposition` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Success Disposition'.
  See Also:
    `StopSituation.getSuccessDisposition()`, `EventPackage.getStopSituation()`

### getStopSituation_SituationQualifier

    public org.eclipse.emf.ecore.EAttribute getStopSituation_SituationQualifier()

  Specified by:
    `getStopSituation_SituationQualifier` in interface `EventPackage`
  Returns:
    the metaobject for the attribute 'Situation Qualifier'.
  See Also:
    `StopSituation.getSituationQualifier()`, `EventPackage.getStopSituation()`

### getSerializable

    public org.eclipse.emf.ecore.EClass getSerializable()

  Specified by:
    `getSerializable` in interface `EventPackage`
  Returns:
    the metaobject for class 'Serializable'.
  See Also:
    `Serializable`

### getEventFactory

    public EventFactory getEventFactory()

  Specified by:
    `getEventFactory` in interface `EventPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD